org.firebirdsql.gds.impl

## Class DbAttachInfo

- java.lang.Object
- - org.firebirdsql.gds.impl.DbAttachInfo

-     @InternalApi
      public class DbAttachInfo
      extends java.lang.Object

  Container for attachment information (ie server, port and filename/alias/service name/url).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbAttachInfo(java.lang.String serverName, java.lang.Integer portNumber, java.lang.String attachObjectName)`
    `DbAttachInfo(java.lang.String serverName, int portNumber, java.lang.String attachObjectName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends IAttachProperties<T>> void` | `copyTo(T attachProperties)`
    `java.lang.String` | `getAttachObjectName()`
    `int` | `getPortNumber()`
    `java.lang.String` | `getServerName()`
    `boolean` | `hasAttachObjectName()`
    `boolean` | `hasServerName()`
    `static DbAttachInfo` | `of(AttachmentProperties attachmentProperties)`
    `static DbAttachInfo` | `parseConnectString(java.lang.String connectString)`
    `DbAttachInfo` | `withAttachObjectName(java.lang.String attachObjectName)`
    `DbAttachInfo` | `withServerName(java.lang.String serverName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbAttachInfo

          public DbAttachInfo(java.lang.String serverName,
                              java.lang.Integer portNumber,
                              java.lang.String attachObjectName)

    - #### DbAttachInfo

          public DbAttachInfo(java.lang.String serverName,
                              int portNumber,
                              java.lang.String attachObjectName)

  - ### Method Detail

    - #### of

          public static DbAttachInfo of(AttachmentProperties attachmentProperties)

    - #### getServerName

          public java.lang.String getServerName()

    - #### hasServerName

          public boolean hasServerName()

    - #### getPortNumber

          public int getPortNumber()

    - #### getAttachObjectName

          public java.lang.String getAttachObjectName()

    - #### hasAttachObjectName

          public boolean hasAttachObjectName()

    - #### withServerName

          public DbAttachInfo withServerName(java.lang.String serverName)

    - #### withAttachObjectName

          public DbAttachInfo withAttachObjectName(java.lang.String attachObjectName)

    - #### copyTo

          public <T extends IAttachProperties<T>> void copyTo(T attachProperties)

    - #### parseConnectString

          public static DbAttachInfo parseConnectString(java.lang.String connectString)
                                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.